diff --git a/sys/dev/netif/re/re.c b/sys/dev/netif/re/re.c
index dfe6b3a706..16958e8335 100644
--- a/sys/dev/netif/re/re.c
+++ b/sys/dev/netif/re/re.c
@@ -17508,7 +23424,10 @@ static void re_hw_phy_config(struct re_softc *sc)
                 Data &= ~BIT_10;
                 MP_WritePhyUshort(sc, 0x10, Data);
                 MP_WritePhyUshort(sc, 0x1f, 0x0000);
-                MP_WritePhyUshort(sc, 0x00, 0x9200);
+        } else if (sc->re_type == MACFG_52) {
+                Data_u32 = re_eri_read(sc, 0x1D0, 4, ERIAR_ExGMAC);
+                Data_u32 &= ~BIT_1;
+                re_eri_write(sc, 0x1D0, 4, Data_u32, ERIAR_ExGMAC);
 
                 MP_WritePhyUshort(sc, 0x1F, 0x0005);
                 MP_WritePhyUshort(sc, 0x05, 0x8B80);
